# Lấy danh sách yêu cầu cấp quyền gọi

{% hint style="info" %}
**Lưu ý:**

* Đối với các API sử dụng cho Shop thì API\_KEY: [`<api_key>`](https://docs.etelecom.vn/tich-hop-api/shop/tai-khoan#api-key).Thông tin base\_url của [Shop](https://docs.etelecom.vn/tich-hop-api/shop/tai-khoan)
* Đối với các API sử dụng cho Partner thì API\_KEY: [`<shop_key>`](https://docs.etelecom.vn/tich-hop-api/partner/su-dung#ket-noi-lan-thu-hai-tro-di).Thông tin base\_url của [Partner](https://docs.etelecom.vn/tich-hop-api/partner/tai-khoan)
  {% endhint %}

{% openapi src="/files/e4jgSxuU6M4wgI3N1pFh" path="$BASE\_URL.Zalo/ListRequestConsent" method="post" %}
[swagger\_partner\_v2.json](https://4211996220-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F9CUTEBoYNqJaZqxNp3Eh%2Fuploads%2FQdxUagmnrlFy7IeBcsdK%2Fswagger_partner_v2.json?alt=media\&token=720b0ab3-a689-4ac8-ab28-08fcb133bf2e)
{% endopenapi %}

**Request:**

```json
curl --location '$BASE_URL.Zalo/ListRequestConsent' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer $API-KEY' \
--data '{
  "filter": {
    "call_type": "audio",
    "date_from": "<dateTime>",
    "date_to": "<dateTime>",
    "is_charged": "<boolean>",
    "oa_id": "<int64>",
    "phone": "<string>",
    "reason_code": "flight_announcement",
    "reply_status": "S",
    "status": "P",
    "user_id": "<int64>"
  },
  "paging": {
    "after": "<string>",
    "before": "<string>",
    "limit": "<integer>",
    "sort": "<string>"
  }
}'
```

**Response:**

```
{
  "consents": [
    {
      "call_type": "unknown",
      "created_at": "2019-08-24T14:15:22Z",
      "delivery_status": "unknown",
      "delivery_time": "2019-08-24T14:15:22Z",
      "error_code": 0,
      "error_message": "string",
      "expires_at": "2019-08-24T14:15:22Z",
      "id": "string",
      "is_charged": true,
      "oa_id": "string",
      "phone": "string",
      "reason_code": "unknown",
      "reply_status": "Z",
      "shop_id": "string",
      "status": "Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "user_id": "string"
    }
  ],
  "paging": {
    "after": "string",
    "before": "string",
    "limit": 0,
    "next": "string",
    "prev": "string",
    "sort": "string"
  }
}
```

**Cấu trúc body của request**

<table><thead><tr><th width="162.33333333333331">Tham số</th><th width="193">Kiểu dữ liệu</th><th>Mô tả</th></tr></thead><tbody><tr><td>call_type</td><td>string</td><td><p></p><ul><li><mark style="color:red;"><strong>audio:</strong></mark> Cuộc gọi thoại</li><li><mark style="color:red;"><strong>video:</strong></mark> Cuộc gọi video</li><li><mark style="color:red;"><strong>audio_and_video:</strong></mark>  Cả gọi thoại và video</li></ul></td></tr><tr><td>oa_id</td><td>int64</td><td>ID của OA</td></tr><tr><td>phone</td><td>string</td><td>Số điện thoại người nhận</td></tr><tr><td>reason_code</td><td>string</td><td><p></p><ul><li><mark style="color:red;"><strong>product_service_consulting</strong></mark><strong>:</strong> Tư vấn sản phẩm / dịch vụ</li><li><mark style="color:red;"><strong>order_appointment_confirmation</strong></mark><strong>:</strong> Xác nhận đơn hàng / cuộc hẹn</li><li><mark style="color:red;"><strong>delivery_notification</strong></mark><strong>:</strong>  Thông báo giao hàng</li><li><mark style="color:red;"><strong>flight_announcement</strong></mark><strong>:</strong>  Thông báo chuyến bay</li><li><mark style="color:red;"><strong>update_order</strong></mark><strong>:</strong>  Cập nhật đơn hàng</li></ul></td></tr><tr><td>reply_status</td><td>string</td><td><p>Trạng thái</p><p><mark style="color:red;"><strong><code>S</code></strong></mark>: Chờ phản hồi</p><p><mark style="color:red;"><strong><code>NS</code></strong></mark>: Không phản hồi<br><mark style="color:red;"><strong><code>P</code></strong></mark>: Đồng ý<br><mark style="color:red;"><strong><code>N</code></strong></mark>: Từ chối</p></td></tr><tr><td>is_charged</td><td>boolean</td><td><p><mark style="color:red;"><strong><code>True</code></strong></mark>: Tin được tính phí</p><p><mark style="color:red;"><strong><code>False</code></strong></mark>: Tin không được tính phí</p></td></tr><tr><td>status</td><td>string</td><td>Trạng thái<br><mark style="color:red;"><strong><code>P</code></strong></mark>: Thành công<br><mark style="color:red;"><strong><code>N</code></strong></mark>: Thất bại</td></tr><tr><td>date_from</td><td>string&#x3C;date-time></td><td>Ngày bắt đầu</td></tr><tr><td>date_to</td><td>string&#x3C;date-time></td><td>Ngày kết thúc</td></tr></tbody></table>

**Cấu trúc thuộc tính dữ liệu trả về**

<table><thead><tr><th width="162.33333333333331">Tham số</th><th width="201">Kiểu dữ liệu</th><th>Mô tả</th></tr></thead><tbody><tr><td>id</td><td>int64</td><td>ID tin nhắn trên hệ thống của eTelecom</td></tr><tr><td>shop_id</td><td>int64</td><td>ID cửa hàng trên hệ thống của eTelecom</td></tr><tr><td>user_id</td><td>int64</td><td>ID người gửi tin trên hệ thống của eTelecom</td></tr><tr><td>oa_id</td><td>int64</td><td>ID của OA</td></tr><tr><td>call_type</td><td>string</td><td><p></p><ul><li><mark style="color:red;"><strong>audio:</strong></mark> Cuộc gọi thoại</li><li><mark style="color:red;"><strong>video:</strong></mark> Cuộc gọi video</li><li><mark style="color:red;"><strong>audio_and_video:</strong></mark>  Cả gọi thoại và video</li></ul></td></tr><tr><td>error_code</td><td>int</td><td>Mã lỗi</td></tr><tr><td>error_message</td><td>string</td><td>Thông báo lỗi</td></tr><tr><td>is_charged</td><td>boolean</td><td><p><mark style="color:red;"><strong><code>True</code></strong></mark>: Tin được tính phí</p><p><mark style="color:red;"><strong><code>False</code></strong></mark>: Tin không được tính phí</p></td></tr><tr><td>reply_status</td><td>string</td><td><p>Trạng thái</p><p><mark style="color:red;"><strong><code>S</code></strong></mark>: Chờ phản hồi</p><p><mark style="color:red;"><strong><code>NS</code></strong></mark>: Không phản hồi<br><mark style="color:red;"><strong><code>P</code></strong></mark>: Đồng ý<br><mark style="color:red;"><strong><code>N</code></strong></mark>: Từ chối</p></td></tr><tr><td>status</td><td>string</td><td>Trạng thái<br><mark style="color:red;"><strong><code>P</code></strong></mark>: Thành công<br><mark style="color:red;"><strong><code>N</code></strong></mark>: Thất bại</td></tr><tr><td>phone</td><td>string</td><td>Số điện thoại người nhận</td></tr><tr><td>delivery_status</td><td>string</td><td><p><mark style="color:red;"><strong><code>Unkown</code></strong></mark>: Không xác định</p><p><mark style="color:red;"><strong><code>Received</code></strong></mark>: Đã nhận <br><mark style="color:red;"><strong><code>Seen</code></strong></mark>: Đã xem </p></td></tr><tr><td>delivery_time</td><td>string&#x3C;date-time></td><td>Thời gian thiết bị của người dùng nhận được thông báo </td></tr><tr><td>updated_at</td><td>string&#x3C;date-time></td><td>Ngày cập nhật</td></tr><tr><td>created_at</td><td>string&#x3C;date-time></td><td>Ngày tạo</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.etelecom.vn/tich-hop-api/zalo-cloud/zalo-cloud-api/lay-danh-sach-yeu-cau-cap-quyen-goi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
